
<form #loginForm="ngForm" (ngSubmit)="loginValidate(loginForm.value)">
  <div class="login-container">
    <h2>Login Form</h2>
    <div class="input-group">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
        <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6m2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0m4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4m-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10s-3.516.68-4.168 1.332c-.678.678-.83 1.418-.832 1.664z"/>
      </svg>
      <input
        type="text"
        [(ngModel)]="email"
        name="email"
        #emailId="ngModel"
        required
        minlength="6"
        maxlength="20"
        autocomplete="username"
        placeholder="Email"
      />
    </div>
    <div class="input-group">
      <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-file-lock" viewBox="0 0 16 16">
        <path d="M8 5a1 1 0 0 1 1 1v1H7V6a1 1 0 0 1 1-1m2 2.076V6a2 2 0 1 0-4 0v1.076c-.54.166-1 .597-1 1.224v2.4c0 .816.781 1.3 1.5 1.3h3c.719 0 1.5-.484 1.5-1.3V8.3c0-.627-.46-1.058-1-1.224M6.105 8.125A.64.64 0 0 1 6.5 8h3a.64.64 0 0 1 .395.125c.085.068.105.133.105.175v2.4c0 .042-.02.107-.105.175A.64.64 0 0 1 9.5 11h-3a.64.64 0 0 1-.395-.125C6.02 10.807 6 10.742 6 10.7V8.3c0-.042.02-.107.105-.175"/>
        <path d="M4 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2zm0 1h8a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1"/>
      </svg>
      <input
        type="password"
        [(ngModel)]="password"
        name="password"
        #pass="ngModel"
        required
        minlength="3"
        maxlength="20"
        autocomplete="current-password"
        placeholder="Password"
      />
    </div>
    <div class="error-message" *ngIf="emailId.errors?.['required'] && emailId.touched">
      Please enter a valid email
    </div>
    <div class="error-message" *ngIf="emailId.errors?.['minlength'] && emailId.touched">
      Please enter at least 6 characters for the email
    </div>
    <div class="error-message" *ngIf="pass.errors?.['minlength'] && pass.touched">
      Please enter at least 3 characters for the password
    </div>
    <div class="error-message" *ngIf="pass.errors?.['required'] && pass.touched">
      Please enter a valid password
    </div>

    <div style="display: flex; flex-direction: column; align-items: center;">
      <button type="submit">Login</button>
      <br>
      <asl-google-signin-button></asl-google-signin-button>
  </div>
    <p>SignIn With Google</p>
  
  </div>
  <div>
</div>
</form>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
